aimeos_shop_jqadm_file:
    path: /file/{type}
    defaults: { _controller: AimeosShopBundle:Jqadm:file }
    methods: [GET]

aimeos_shop_jqadm_copy:
    path: /copy/{resource}/{id}
    defaults: { _controller: AimeosShopBundle:Jqadm:copy }
    methods: [GET, POST]
    requirements:
        resource: '[^0-9A-Z\-\_]+'
        id: '[0-9A-Z\-\_]+'

aimeos_shop_jqadm_create:
    path: /create/{resource}
    defaults: { _controller: AimeosShopBundle:Jqadm:create }
    methods: [GET, POST]
    requirements:
        resource: '[^0-9A-Z\-\_]+'

aimeos_shop_jqadm_delete:
    path: /delete/{resource}/{id}
    defaults: { _controller: AimeosShopBundle:Jqadm:delete }
    methods: [GET, POST]
    requirements:
        resource: '[^0-9A-Z\-\_]+'
        id: '[0-9A-Z\-\_]+'

aimeos_shop_jqadm_export:
    path: /export/{resource}
    defaults: { _controller: AimeosShopBundle:Jqadm:export }
    methods: [GET]
    requirements:
        resource: '[^0-9A-Z\-\_]+'

aimeos_shop_jqadm_get:
    path: /get/{resource}/{id}
    defaults: { _controller: AimeosShopBundle:Jqadm:get }
    methods: [GET]
    requirements:
        resource: '[^0-9A-Z\-\_]+'
        id: '[0-9A-Z\-\_]+'

aimeos_shop_jqadm_save:
    path: /save/{resource}
    defaults: { _controller: AimeosShopBundle:Jqadm:save }
    methods: [POST]
    requirements:
        resource: '[^0-9A-Z\-\_]+'

aimeos_shop_jqadm_search:
    path: /search/{resource}
    defaults: { _controller: AimeosShopBundle:Jqadm:search }
    methods: [GET, POST]
    requirements:
        resource: '[^0-9A-Z\-\_]+'
